Subject: RE: [Sip-implementors] RE: [SIP] permanent/temporary registration

From: Baniel Uri-CUB001 <[email-masked]>
Date: Tue, 27 Feb 2001 09:59:46 -0600

>Well 1hr for sip urls and forever for non sip urls, although the registrar
>may shorten any registration it receives so the expires in the response
must
>be checked.

That is exactly the Bis02 section which made me concerned...
Say I want to register the FQDN (Host name) or either IP address of my SIP
phone at home as my 'permanent' contact.
Does that fall under the definition of a SIP URL and thus forbidden or other
URL and thus is OK?
I mean is it just a matter of 'tricking' the registrar and providing it my
'contact' information as a non SIP URL?
e.g. SIP:[email-masked] => myMachine.sip.xxx.com

===========================================
[email-masked], 
Tel: (847) 632 4616; Fax: (847) 632 3963; 
===========================================

> -----Original Message-----
> From: James Undery [mailto:[email-masked]]
> Sent: Tuesday, February 27, 2001 4:45 AM
> To: Mayank Sharma
> Cc: Baniel Uri-CUB001; [email-masked];
> [email-masked]
> Subject: Re: [Sip-implementors] RE: [SIP] permanent/temporary
> registration
> 
> 
> 
> 
> Mayank Sharma wrote:
> 
> > Hi,
> >
> > > -----Original Message-----
> > > From: Baniel Uri-CUB001 [mailto:[email-masked]]
> > > Sent: Tuesday, February 27, 2001 11:17 AM
> > > To: [email-masked]
> > > Subject: [SIP] permanent/temporary registration
> > >
> > >
> > > Must a registration interval have a ceiling? I.e. Can I have
> > > my SIP phone at home be registered for ever (say as my
> >
> > I don't think you have a ceiling on the registaration 
> interval. You can
> > register your
> > SIP phone for ever (well almost by specifying a very high 
> value in the
> > expires). The default
> > interval however happens to be 2 hr.
> 
> Well 1hr for sip urls and forever for non sip urls, although 
> the registrar
> may shorten any registration it receives so the expires in 
> the response must
> be checked.
> 
> >
> >
> > > default SIP phone) while other SIP phones I use on a
> > > temporary basis (i.e. the SIP phone at office or Lab) would
> > > be typically registered at the registrar for a limited 
> period of time?
> >
> > yes it can be done
> >
> > regards,
> > Mayank Sharma
> > _______________________________________________
> > Sip-implementors mailing list
> > [email-masked]
> > http://lists.cs.columbia.edu/mailman/listinfo/sip-implementors
> 

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.